Jump to content
The simFlight Network Forums
Frederic_320

LUA (compiled) error - SOLVED

Recommended Posts

Hello,

Compiled lua files give me an error "Bad header in precompiled chunk" with P3D4 and FSUIPC 5.103. Source LUA files are OK. Everything was OK with P3D3 and FSUIPC4 : both sources and compiled files were executed. I tried x86 and x64 versions of luac53, no change, still the same error.

Any idea on how to execute compiled lua scripts in P3D4 is welcome, thanks in advance and sorry for my English ...

Regards,

Frederic

Edited by Frederic_320

Share this post


Link to post
Share on other sites
49 minutes ago, Frederic_320 said:

Compiled lua files give me an error "Bad header in precompiled chunk" with P3D4 and FSUIPC5. Source LUA files are OK. Everything was OK with P3D3 and FSUIPC4 : both sources and compiled files were executed. I tried x86 and x64 luac53, no change, still the same error.

Well, nothing is different in the Lua interpreter and loader side -- EXCEPT of course that it's recompiled into 64-bit, of course (else it cannot run within P3D4). I would guess that your compiled Lua isn't 64-bit compatible. In fact that seems quite likely as I would assume they include compiled machine level code.

See if there's a 64-bit version of the compiler.

Pete

 

Share this post


Link to post
Share on other sites

Thanks Pete for your response. The compiler used is luac 5.3 x64, I thought it was compiling in 64 bit, but perhaps it's only a 64 bit luac.exe which creates 32 bits byte code. I didn't find any documentation to confirm, but I'll investigate further. If you have any idea on how to compile 64-bit compatible lua on a Windows platform, please let me know.

Regards,

Frederic

Share this post


Link to post
Share on other sites
1 hour ago, Frederic_320 said:

If you have any idea on how to compile 64-bit compatible lua on a Windows platform, please let me know.

Certainly, if I find anything relevant.

It might instead be the use of a 5.3 version compiler. FSUIPC's Lua system is frozen at 5.1. With the amount of source changes I needed to weld it into FSUIPC's multi-thread plug-in system, I'm not about to update it. Can you find a 5.1 x64 compiler?

Pete

 

Share this post


Link to post
Share on other sites

Just tried LUA 5.1.5 x64 compiler and it works fine :-)

Many thanks Pete for your support, I was needed it to update LAAP script (Live ATC Auto Play). If you have some time here is a demonstration made by Fs-Pilots.com : 

And if you enjoy, I'll be happy to send you a full version !

Thanks one more time,

Regards,

Frederic

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...

×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use. Guidelines Privacy Policy We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.